/*******************************************************************************
*                                 Main
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2017 Guangzhou ZHIYUAN Electronics Stock Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
* e-mail:      ametal.support@zlg.cn
*******************************************************************************/

/**
 * \file
 * \brief Main
 *
 * \internal
 * \par Modification history
 * - 1.00 17-11-22  sup, first implementation.
 * \endinternal
 */

#include "stddef.h"
#include "radio.h"
#include "demo_all_entries.h"

extern radio_handle_t radio_zm4xx_inst_init (void);

extern void board_init(void);

int main (void)
{    
    radio_handle_t  handle;
    
    board_init();

    /* ʵʼģ */
    handle = radio_zm4xx_inst_init();
    
    if (handle != NULL) { 
        /* demo ڵ */
        demo_zm4xx_entry(handle);
        //demo_zm4xx_cad_rx_entry(handle);        
    }
    while (1) {
        
    }
}
