/*******************************************************************************
*                                 Timer Driver 
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2017 Guangzhou ZHIYUAN Electronics Stock Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
* e-mail:      ametal.support@zlg.cn
*******************************************************************************/

/**
 * \file
 * \brief Timer
 *
 * \internal
 * \par Modification history
 * - 1.00 17-11-22  sup, first implementation.
 * \endinternal
 */
 
#ifndef __TIMER_H__
#define __TIMER_H_

#include "stdint.h"
    
void timer0_32_init (void);

void timer0_32_init (void);

uint32_t timer0_32_stop (void);

void timer0_16_init(void);

void timer0_16_delay_ms(uint16_t ms);

void timer0_16_delay_us(uint16_t us);

void timer0_32_start (void);

uint32_t timer0_32_stop (void);

uint32_t timer0_32_tc_get (void);
#endif

